Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel.algorithms
Class AbstractBaseAlgorithmBuilder

    java.lang.Object
      org.apache.cocoon.forms.formmodel.algorithms.AbstractBaseAlgorithmBuilder

All Implemented Interfaces:
  CalculatedFieldAlgorithmBuilder

Direct Known Subclasses:
  JavaAlgorithmBuilder, SimpleFormulaBuilder

public abstract class AbstractBaseAlgorithmBuilder
extends Object
implements CalculatedFieldAlgorithmBuilder

Abstract builder for `AbstractBaseAlgorithm` subclasses.

This class parses the default triggers attribute, containing a comma separated list of widget paths as defined in `WidgetFinder`. It also calls the LifecycleHelper so that algorithms gets their logger and context.

Version:
  $Id: AbstractBaseAlgorithmBuilder.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from interface org.apache.cocoon.forms.formmodel.CalculatedFieldAlgorithmBuilder
`ROLE`

Constructor Summary
`AbstractBaseAlgorithmBuilder()`

Method Summary
`protected void` | `setup(Element algorithmElement, AbstractBaseAlgorithm algorithm)`
`protected void` | `setupTriggers(Element algorithmElement, AbstractBaseAlgorithm algorithm)`
`protected void` | `setupTriggers(String fields, AbstractBaseAlgorithm algorithm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.forms.formmodel.CalculatedFieldAlgorithmBuilder
`build`

Constructor Detail

### AbstractBaseAlgorithmBuilder

    public AbstractBaseAlgorithmBuilder()

Method Detail

### setup

    protected void setup(Element algorithmElement,
                         AbstractBaseAlgorithm algorithm)
                  throws Exception

  Throws:
    `Exception`

### setupTriggers

    protected void setupTriggers(Element algorithmElement,
                                 AbstractBaseAlgorithm algorithm)
                          throws Exception

  Throws:
    `Exception`

### setupTriggers

    protected void setupTriggers(String fields,
                                 AbstractBaseAlgorithm algorithm)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.